/**************************************************************************
*   Copyright (C) 2012 by Yuri Momotyuk                                   *
*   yurkis@gmail.com                                                      *
*                                                                         *
*   Permission is hereby granted, free of charge, to any person obtaining *
*   a copy of this software and associated documentation files (the       *
*   "Software"), to deal in the Software without restriction, including   *
*   without limitation the rights to use, copy, modify, merge, publish,   *
*   distribute, sublicense, and/or sell copies of the Software, and to    *
*   permit persons to whom the Software is furnished to do so, subject to *
*   the following conditions:                                             *
*                                                                         *
*   The above copyright notice and this permission notice shall be        *
*   included in all copies or substantial portions of the Software.       *
*                                                                         *
*   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,       *
*   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF    *
*   MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.*
*   IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR     *
*   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, *
*   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR *
*   OTHER DEALINGS IN THE SOFTWARE.                                       *
***************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QVector>
#include <QString>
#include <QMenu>
#include <QDebug>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
	explicit MainWindow(QWidget *parent = 0);
	~MainWindow();

private:
	void initUI();
	void getUsers();

	QVector<QString> mvUsers;
	Ui::MainWindow *ui;
	QMenu *exUserMenu;

	//simplification functions
	QString getConfFileValue( QString oFile, QString Key ); //overloaded version
	QString getConfFileValue( QString oFile, QString Key, int occur ); //main function
	bool setConfFileValue( QString oFile, QString oldKey, QString newKey ); //overloaded version
	bool setConfFileValue( QString oFile, QString oldKey, QString newKey, int occur ); //main function
	QString getValFromSHFile(QString envFile, QString envVal);
	QStringList runShellCommand(QString cmd);

	void loadAvailableThemes();

public slots:
    void slotSingleInstance();

private slots:
    void on_SaveButton_clicked();
    void on_tool_exuser_rem_clicked();
    void on_tool_exuser_add_clicked();
    void add_exuser(QAction*); //for a username selected from the menu

    void itemChanged();
};

#endif // MAINWINDOW_H
